diff --git a/precise/mumble/hooks/install b/precise/mumble/hooks/install
new file mode 100755
index 0000000..f185508
--- /dev/null
+++ b/precise/mumble/hooks/install
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -eux # -x for verbose logging to juju debug-log
+
+apt-get update
+apt-get -y install libicu48 mumble
+
+## Should set things as:
+
+## /etc/mumble-server.ini
+
+#port=64738
+#welcometext="
Welcome to tharbad server running Murmur.
Enjoy your stay!
"
+
+## And set superuser password with:
+
+#murmurd -supw
+
+
+
+
+
diff --git a/precise/mumble/hooks/start b/precise/mumble/hooks/start
new file mode 100755
index 0000000..9eb7853
--- /dev/null
+++ b/precise/mumble/hooks/start
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+juju-log "Nothing to Start for base."
diff --git a/precise/mumble/hooks/stop b/precise/mumble/hooks/stop
new file mode 100755
index 0000000..170162b
--- /dev/null
+++ b/precise/mumble/hooks/stop
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+juju-log "Nothing to stop for base."
diff --git a/precise/mumble/metadata.yaml b/precise/mumble/metadata.yaml
new file mode 100644
index 0000000..55d8236
--- /dev/null
+++ b/precise/mumble/metadata.yaml
@@ -0,0 +1,7 @@
+name: mumble
+summary: "Mumble server"
+maintainer: "Valentin Lab "
+inherit: base-0k
+description: |
+ Mumble Server
+data-resources:
diff --git a/precise/mumble/revision b/precise/mumble/revision
new file mode 100644
index 0000000..573541a
--- /dev/null
+++ b/precise/mumble/revision
@@ -0,0 +1 @@
+0
diff --git a/precise/mumble/shorewall b/precise/mumble/shorewall
new file mode 100644
index 0000000..e057e80
--- /dev/null
+++ b/precise/mumble/shorewall
@@ -0,0 +1,2 @@
+DNAT net lan:%%NAME%%:64738 udp 64738
+DNAT net lan:%%NAME%%:64738 tcp 64738